import * as _nuxt_schema from '@nuxt/schema';

interface ModuleOptions {
    /**
     * Choose how you want to register and display components
     *
     * @default 'inline'
     * @link https://nuxt-bootstrap-icons.vercel.app#display
     */
    display: "inline" | "component";
    /**
     * Enable to register components globally
     *
     * @default false
     * @link https://nuxt-bootstrap-icons.vercel.app#expose
     */
    expose: boolean;
    /**
     * The prefix of the component names
     *
     * @default "bootstrap-icon" or "BootstrapIcon"
     * @link https://nuxt-bootstrap-icons.vercel.app#prefix
     */
    prefix: string;
    /**
     * Enable to generate a virtual file with the list
     * of registered components at `#build/nuxt-bootstrap-icons.json`
     *
     * @default false
     * @link https://nuxt-bootstrap-icons.vercel.app#showlist
     */
    showList: boolean;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { type ModuleOptions, _default as default };
